Represents a slot in the register.

package | phing.system.util

### Methods

## Constructs a new RegisterSlot, setting the key to passed param.

    __construct(string $key)

### Parameters

#### $key

`string`

## Returns the value at this slot as a string value.

    __toString() : string

### Returns

`string`

## Gets the key / name for this slot.

    getKey() : string

### Returns

`string`

## Returns the value at this slot.

    getValue() : mixed

### Returns

`mixed`

## Sets the key / name for this slot.

    setKey(string $k)

### Parameters

#### $k

`string`

## Sets the value for this slot.

    setValue(mixed $v)

### Parameters

#### $v

`mixed`

## Recursively implodes an array to a comma-separated string

    implodeArray(array $arr) : string

### Parameters

#### $arr

`array`

### Returns

`string`

### Properties

##

    $key

##

    $value